EDIT - task #8871

Remaining issues to unify description aggregation methods
03/02/2020 02:08 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 20%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Copied from #8679

e merge source handling (in distribution sources are mostly handled on description item leve while in DDS they are handled on
description(base) level, both should finally support both methods

e discuss dataset handling for distribution aggregation (DONE for DescriptionAggregation)

e tests for includeUnpublished

e review solved issues from #8679

e monitoring aneresult-handling (see also #9804, #9858)

¢ improve error and batch size handling (see also #9804)

Related issues:

Related to EDIT - feature request #2625: [E+M Overview] Data aggregation func... Closed
Related to EDIT - bug #8312: Test, fix, improve and run Transmission engine f... Closed
Related to EDIT - feature request #7980: Enhance matrix description aggregation Closed
Related to EDIT - feature request #7981: Add configuration Ul for matrix desc... Closed
Related to EDIT - bug #9801: Orphan removal does not work correctly for CdmlLi... New

Related to EDIT - feature request #9804 : Further enhance description aggregation New

Related to EDIT - feature request #9858: Add update result to aggregation alg... Closed
Copied from EDIT - task #8679: Further unify description aggregation methods Closed

Associated revisions

Revision 809fcc17 - 05/19/2021 12:45 AM - Andreas Miiller
ref #9622, ref #6359, #8871 adapt progress monitoring for description aggregation

Revision 1d1c2ae7 - 09/30/2021 05:46 PM - Andreas Miiller

ref #8871 remove isAggregateToHigherRanks from StructuredDescriptionAggregationConfiguration

Revision 0b54e3e1 - 10/04/2021 02:12 PM - Andreas Miiller
ref #7980, ref #8871 reuse description items for DDS aggregation

Revision 09b7d505 - 10/05/2021 11:30 PM - Andreas Miiller
ref #7980, ref #8871, ref #9795 fix source handling in StructuredDescriptionAggregation

Revision 4b70788c - 10/07/2021 01:40 AM - Andreas Muller

ref #8871, ref #9331 fix DescriptionElementSource.clone , e.g. for DistributionAggregation

Revision 67c26aa8 - 10/07/2021 01:46 AM - Andreas Miiller
ref #8871 try to fix failing aggregation tests

Revision a4001175 - 10/07/2021 02:10 AM - Andreas Miiller
ref #8871 try to fix failing aggregation tests (cont.)

Revision 7e1619ea - 10/07/2021 10:04 AM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/8679
https://dev.e-taxonomy.eu/redmine/issues/8679
https://dev.e-taxonomy.eu/redmine/issues/9804
https://dev.e-taxonomy.eu/redmine/issues/9858
https://dev.e-taxonomy.eu/redmine/issues/9804

ref #8871, ref #7980 adapt available source modes for DDS aggregation

Revision 82b18118 - 10/07/2021 11:04 AM - Andreas Miiller
ref #8871, ref #7980 handle aggregation source modes for SDD aggregation

Revision 6163ee20 - 10/07/2021 01:02 PM - Andreas Miiller
ref #8871, ref #7980 handle aggregation source mode TAXON for toParent

Revision f677247f - 10/07/2021 03:56 PM - Andreas Miiller
ref #7981, ref #7980, ref #8871 explicitly defined source modes for aggregation configurators

Revision 1a96d01d - 10/07/2021 07:42 PM - Andreas Miuller

ref #7980, ref #8871 improve error handling and verification in aggregations

Revision 3¢420001 - 10/08/2021 09:39 PM - Andreas Miiller

ref #9801, ref #7980, ref #8871 remove aggregated source descriptions from aggregation and fix persistence issues

Revision 42648459 - 11/10/2021 10:45 PM - Andreas Miiller

ref #8871 further unify aggregation classes and add ref #9858 some update result functionality

History

#1 - 03/02/2020 02:08 PM - Andreas Miiller
- Copied from task #8679: Further unify description aggregation methods added

#2 - 03/02/2020 02:12 PM - Andreas Miiller

- Description updated

#3 - 06/23/2020 01:45 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#4 - 12/03/2020 05:56 PM - Andreas Miller

- Target version changed from Release 5.18 to Release 5.19

#5 - 01/27/2021 03:44 PM - Andreas Miller

- Target version changed from Release 5.19 to Release 5.21

#6 - 03/01/2021 04:38 PM - Andreas Miiller

- Related to feature request #2625: [E+M Overview] Data aggregation functionalities for E+M (TransmissionEngine) added

#7 - 03/01/2021 04:47 PM - Andreas Miller

- Related to bug #8312: Test, fix, improve and run Transmission engine for E+M added

#8 - 03/10/2021 02:35 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#9 - 04/16/2021 09:46 PM - Andreas Miuller

- Target version changed from Release 5.22 to Release 5.46

#10 - 09/30/2021 02:57 PM - Andreas Miiller

- Related to feature request #7980: Enhance matrix description aggregation added

#11 - 09/30/2021 03:00 PM - Andreas Miiller

- Related to feature request #7981: Add configuration Ul for matrix description aggregation added

#12 - 10/07/2021 01:49 AM - Andreas Miuller

- Status changed from New to In Progress
- % Done changed from 0 to 10

#13 - 10/07/2021 01:09 PM - Andreas Miiller
- % Done changed from 10 to 20

#14 - 10/07/2021 01:09 PM - Andreas Miiller
- Priority changed from New to Priority14

#15 - 10/08/2021 09:36 PM - Andreas Miiller
- Related to bug #9801: Orphan removal does not work correctly for CdmLinkSource added

#16 - 10/11/2021 03:28 PM - Andreas Miiller

- Related to feature request #9804: Further enhance description aggregation added

#17 - 10/11/2021 03:30 PM - Andreas Miiller

- Description updated

#18 - 11/09/2021 10:06 AM - Andreas Miiller
- Related to feature request #9858: Add update result to aggregation algorithms added

#19 - 11/11/2021 04:08 PM - Andreas Miiller

- Description updated

#20 - 11/11/2021 04:09 PM - Andreas Miiller

- Description updated
